# SDC Library Paragraphs

SDC Library Paragraphs is a submodule of SDC Library and it provides an easy,
though clunky, way to preview your SDC components using forms provided by
Drupal's Paragraphs module. (ie. The same form you would see in a node that uses
the paragraph.)

To do so, the module expects to see a non-standard key, `use_paragraph`, in a
component's yml file. The key's value is the associated Paragraph's machine-name.

For example, assume a Heading component defined in `heading.component.yml` and a
Paragraph with the machine-name `heading`. (The component name and the Paragraph
machine-name do not need to match.)

```yml
# heading.component.yml
name: Heading
description: A component to render headings.
# This is the non-standard key used by SDC Library Paragraphs.
use_paragraph: heading
props:
.
.
etc.
```

So, in the above example, it's `use_paragraph: heading` that tells the module to
render the component using a Paragraph with machine-name `heading`.

## Uninstallation

This module creates its own custom entity to hold paragraph data, and though it
is not important that these entities persist, just like nodes or taxonomy terms,
they do. So, the uninstallation of the module will likely run into an error, "The
following reasons prevent the modules from being uninstalled: There is content
for the entity type: SDC Library Paragraphs."

To get around this Drupal has an "Uninstall" page at `admin/modules/uninstall`
where you can find SDC Library Paragraphs and there will be a link to delete all
the SDC Library Paragraphs entities. Once deleted you will be able to uninstall
the module.
