<?php

namespace Drupal\sdc_library_paragraphs\Theme;

use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\sdc_library\Theme\SdcLibraryThemeNegotiator;

/**
 * Apply the SDC Library theme negotiator for the SDC Library Paragraphs route.
 */
class SdcLibraryParagraphsThemeNegotiator extends SdcLibraryThemeNegotiator {

  /**
   * {@inheritdoc}
   */
  public function applies(RouteMatchInterface $route_match): bool {
    $route_name = $route_match->getRouteName();
    if (!$route_name) {
      return FALSE;
    }

    $routes = [
      'sdc_library_paragraphs.render',
    ];
    // The route we care about will return TRUE, otherwise FALSE.
    return in_array($route_name, $routes);
  }

}
