<?php

namespace Drupal\sdc_library\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\sdc_library\ComponentManagerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Provides listing of all components.
 */
class BrowseLibraryController extends ControllerBase {

  /**
   * Controller constructor.
   */
  public function __construct(
    protected ComponentManagerInterface $componentManager,
  ) {
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container): self {
    return new static(
      $container->get('sdc_library.component_manager'),
    );
  }

  /**
   * List all components.
   */
  public function list(Request $request): array {
    return $this->componentManager->renderComponentList();
  }

}
